package com.pcloud.book.book.biz;

import com.pcloud.book.book.entity.BookAdviserErp;
import com.pcloud.common.page.PageBeanNew;
import java.util.List;

/**
 * 书与编辑临时关联表，供ERP自动创建书刊时使用，由于没有adviserId，所以暂存(BookAdviserErp)表服务接口
 *
 * @author makejava
 * @since 2020-08-26 15:41:12
 */
public interface BookAdviserErpBiz {

    /**
     * 通过ID查询单条数据
     *
     * @param bookAdviserErpId 主键
     * @return 实例对象
     */
    BookAdviserErp getById(Long bookAdviserErpId);

    /**
     * 新增数据
     *
     * @param bookAdviserErp 实例对象
     * @return 主键
     */
    Long create(BookAdviserErp bookAdviserErp);

    /**
     * 修改数据
     *
     * @param bookAdviserErp 实例对象
     */
    void update(BookAdviserErp bookAdviserErp);

    BookAdviserErp getByBookId(Long bookId);
}
